## lua-dbi 0.5+svn78

=== debian/changelog ===
lua-dbi (0.5+svn78-4) unstable; urgency=low

  * Add patch preventing an off by one in mysql driver:
      http://code.matthewwild.co.uk/luadbi/rev/5ba1dd988961 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Jun 2012 19:00:58 +0200

lua-dbi (0.5+svn78-3) unstable; urgency=low

  * Add path: mysql-memory-consumption from
      http://code.matthewwild.co.uk/luadbi/rev/7c968f66bccd 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 16:22:07 +0200

lua-dbi (0.5+svn78-2) unstable; urgency=low

  * Ship -dev packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Apr 2012 15:04:16 +0200

lua-dbi (0.5+svn78-1) unstable; urgency=low

  * Initial release. (Closes: #668173)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Apr 2012 14:50:23 +0200
