=== debian/control ===
Source: lua-dbi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: dh-lua, debhelper (>= 8.0.0), libsqlite3-dev, libpq-dev, libmysqlclient-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/luadbi/
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-dbi
Vcs-Browser: http://svn.debian.org/vewsvn/pkg-lua/packages/lua-dbi

Package: lua-dbi-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, common files
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the files common to all backends.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the sqlite3 backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-sqlite3 (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 development files
 This package contains the development files of the lua DBI library
 (Sqlite3 backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the MySQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-mysql-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-mysql (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL development files
 This package contains the development files of the lua DBI library
 (MySQL backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-postgresql
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the PostgreSQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-postgresql-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-postgresql (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL development files
 This package contains the development files of the lua DBI library
 (PostgreSQL backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).
