=== debian/rules ===
#!/usr/bin/make -f

%: 
	dh $@ --buildsystem=lua --with lua

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name \*.lua -exec chmod -x {} \;
