## lua-dbi 0.5.hg5ba1dd988961

=== debian/changelog ===
lua-dbi (0.5.hg5ba1dd988961-3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:22 +0000

lua-dbi (0.5.hg5ba1dd988961-3) unstable; urgency=medium

  * Do not pre-depend on multiarch-support 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 15 Aug 2015 15:56:07 +0200

lua-dbi (0.5.hg5ba1dd988961-2) unstable; urgency=low

  * Build-depend on postgresql-server-dev-all 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Sep 2013 10:39:16 +0200

lua-dbi (0.5.hg5ba1dd988961-1) unstable; urgency=low

  * New upstream snapshot fixing mysql bug 
  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 10 Aug 2013 20:35:27 +0200

lua-dbi (0.5+svn78-5~dbg4matthew1) unstable; urgency=low

  * debian/compat set to 9
  * new package lua-dbi-mysql-dbg 
  * new package lua-dbi-sqlite3-dbg 
  * new package lua-dbi-postgresql-dbg 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Jun 2012 11:22:38 +0200
