=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: dh-lua, debhelper (>= 8.0.0), libsqlite3-dev, libpq-dev, libmysqlclient-dev
+Build-Depends: dh-lua, debhelper (>= 9), libsqlite3-dev, postgresql-server-dev-all, libmysqlclient-dev
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/luadbi/
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-dbi
-Vcs-Browser: http://svn.debian.org/vewsvn/pkg-lua/packages/lua-dbi
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-dbi.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-dbi.git
 
 Package: lua-dbi-common
 Architecture: all
 Multi-Arch: foreign
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -29,7 +29,7 @@
 Package: lua-dbi-sqlite3
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -48,7 +48,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-sqlite3 (= ${binary:Version})
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -60,7 +60,7 @@
 Package: lua-dbi-mysql
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -78,7 +78,7 @@
 Package: lua-dbi-mysql-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-mysql (= ${binary:Version})
 Provides: ${lua:Provides}
@@ -91,7 +91,7 @@
 Package: lua-dbi-postgresql
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -109,7 +109,7 @@
 Package: lua-dbi-postgresql-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-postgresql (= ${binary:Version})
 Provides: ${lua:Provides}
@@ -118,3 +118,36 @@
  This package contains the development files of the lua DBI library
  (PostgreSQL backend), useful to create a statically linked binary 
  (like a C application or a standalone Lua interpreter).
+
+Package: lua-dbi-mysql-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-dbi-mysql (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: DBI library for the Lua language, MySQL backend debug symbols
+ This package contains the debugging symbols for lua-dbi-mysql.
+
+Package: lua-dbi-postgresql-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-dbi-postgresql (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: DBI library for the Lua language, PostgreSQL backend debug symbols
+ This package contains the debugging symbols for lua-dbi-postgresql.
+
+Package: lua-dbi-sqlite3-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-dbi-sqlite3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: DBI library for the Lua language, sqlite3 backend debug symbols
+ This package contains the debugging symbols for lua-dbi-sqlite3.
