=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/tmp -name \*.lua -exec chmod -x {} \; 
+
+override_dh_strip:
+	dh_strip -Xdbi-sqlite3 -Xdbi-postgresql --dbg-package=lua-dbi-mysql-dbg
+	dh_strip -Xdbi-sqlite3 --dbg-package=lua-dbi-postgresql-dbg
+	dh_strip --dbg-package=lua-dbi-sqlite3-dbg
