## lua-dbi 0.6

=== debian/changelog ===
lua-dbi (0.6-2) unstable; urgency=medium

  * fix coredump on postgresql (already applied upstream master)
  * fix capitalization-error-in-description lintian warnings

 -- Victor Seva <vseva@debian.org>  Tue, 06 Mar 2018 18:07:18 +0100

lua-dbi (0.6-1) unstable; urgency=medium

  * add myself to Uploaders. wrap-and-sort -sat
  * update Vcs-* migrated to salsa
  * update upstream
  * New upstream version 0.6
  * update compat to 10, Standards-Version to 4.1.3 and remove dbg packages
  * add support for lua5.2 and lua5.3
  * remove remove-shebang.patch (already applied upstream)
  * add patches fixing warnings (already applied in upstream master)
  * update LUA_MODNAME(_CPART)

 -- Victor Seva <vseva@debian.org>  Mon, 05 Mar 2018 17:25:16 +0100

lua-dbi (0.5.hg5ba1dd988961-4) unstable; urgency=medium

  * Team upload
  * Replace Build-Depends: libmysqlclient-dev by default-libmysqlclient-dev
    (Closes: #845871)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 16 Dec 2016 04:46:14 +0100
