=== debian/changelog ===
lua-dbi (0.7.1-2) unstable; urgency=medium

  * add upstream patches for fix postgresql issues

 -- Victor Seva <vseva@debian.org>  Wed, 09 Jan 2019 16:29:47 +0100

lua-dbi (0.7.1-1) unstable; urgency=medium

  * remove already applied patches from upstream
  * New upstream version 0.7.1

 -- Victor Seva <vseva@debian.org>  Fri, 19 Oct 2018 16:16:44 +0200
