=== debian/control ===
Source: lua-dbi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 default-libmysqlclient-dev,
 dh-lua,
 libsqlite3-dev,
 postgresql-server-dev-all,
Standards-Version: 4.1.3
Homepage: https://github.com/mwild1/luadbi
Vcs-Git: https://salsa.debian.org/lua-team/lua-dbi.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-dbi

Package: lua-dbi-common
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, common files
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the files common to all backends.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the sqlite3 backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-sqlite3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 development files
 This package contains the development files of the Lua DBI library
 (Sqlite3 backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-mysql
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the MySQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-mysql-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Section: libdevel
Depends:
 lua-dbi-mysql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL development files
 This package contains the development files of the Lua DBI library
 (MySQL backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-postgresql
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the PostgreSQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-postgresql-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Section: libdevel
Depends:
 lua-dbi-postgresql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL development files
 This package contains the development files of the Lua DBI library
 (PostgreSQL backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).
