=== debian/changelog ===
lua-dbi (0.7.2-1ubuntu1) eoan; urgency=medium

  * Adjustments to allow build against MySQL 8.0 to fix FTBFS.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 16 Jul 2019 10:19:30 +0000

lua-dbi (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Tue, 21 May 2019 12:35:55 +0200
