=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lua-dbi
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
