## lua-dbi 0.7.3

=== debian/changelog ===
lua-dbi (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 20 May 2024 09:53:04 +0200

lua-dbi (0.7.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop transition for old debug package migration.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 12:03:37 +0000

lua-dbi (0.7.2-3) unstable; urgency=medium

  * Lua team as maintainer, me as uploader (Closes: #995542)
  * watch to version 4
  * add Lua5.4 support

 -- Victor Seva <vseva@debian.org>  Mon, 27 Dec 2021 12:48:58 +0100

lua-dbi (0.7.2-2) unstable; urgency=medium

  * update standards-version to 4.4.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 19 Nov 2019 09:24:45 +0100
