## lua-dbi 0.7.4

=== debian/changelog ===
lua-dbi (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
  * fix builds on 32bit systems

 -- Victor Seva <vseva@debian.org>  Tue, 08 Oct 2024 08:38:29 +0200
