=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name \*.lua -exec chmod -x {} \;

override_dh_strip:
	dh_strip -Xdbi-sqlite3 -Xdbi-postgresql
	dh_strip -Xdbi-sqlite3
	dh_strip
