=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-dbi
#
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/luadbi-$1\.tar\.gz/ \
  https://github.com/mwild1/luadbi/tags .*/v?(\d\S+)\.tar\.gz
