=== debian/changelog ===
lua-dbi (0.7.5-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 13:19:54 +0200

lua-dbi (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5

 -- Victor Seva <vseva@debian.org>  Fri, 19 Sep 2025 09:21:02 +0200
