=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: lua-dbi
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  default-libmysqlclient-dev,
  dh-lua,
  libsqlite3-dev,
  postgresql-server-dev-all,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.0.0
 Homepage: https://github.com/mwild1/luadbi
 Vcs-Git: https://salsa.debian.org/lua-team/lua-dbi.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-dbi
